
#ifndef EXAMPLE_C_FILE_PATH
#define EXAMPLE_C_FILE_PATH

#include <stdio.h>


#ifndef PROJECT_ROOT_DIR
#define PROJECT_ROOT_DIR "."
#endif

static const char* target_file(const char* filename)
{
    if (!filename)
        return 0;

    static char buffer[512];
    snprintf(buffer, sizeof(buffer), "%s/%s/%s", PROJECT_ROOT_DIR, "output_files", filename);
    return buffer;
}

static const char* resource_file(const char* filename)
{
    if (!filename)
        return 0;

    static char buffer[512];
    snprintf(buffer, sizeof(buffer), "%s/%s/%s", PROJECT_ROOT_DIR, "res", filename);
    return buffer;
}

#endif

